STRUCT HSI_BOARD_INF(9)

NAME
struct_hsi_board_info - HSI client board info

SYNOPSIS

struct hsi_board_info {
  const char * name;
  unsigned int hsi_id;
  unsigned int port;
  struct hsi_config tx_cfg;
  struct hsi_config rx_cfg;
  void * platform_data;
  struct dev_archdata * archdata;
};

MEMBERS

name
    Name for the HSI device

hsi_id
    HSI controller id where the client sits

port
    Port number in the controller where the client sits

tx_cfg
    HSI TX configuration

rx_cfg
    HSI RX configuration

platform_data
    Platform related data

archdata
    Architecture-dependent device data

COPYRIGHT